Name:          xcb-proto
Version:       1.14
Release:       2mamba
Summary:       Prototypes for the X protocol C-language Binding (XCB) is a replacement for Xlib
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://xcb.freedesktop.org/wiki/
Source:        http://xcb.freedesktop.org/dist/xcb-proto-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: python3
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Prototypes for the X protocol C-language Binding (XCB) is a replacement for Xlib.

%package devel
Group:         Development/Libraries
Summary:       Prototypes for the X protocol C-language Binding

%description devel
This package contains prototypes for the X protocol C-language Binding. XCB is a replacement for Xlib.

%prep
%setup -q -n xcb-proto-%{version}

%build
%configure \
   PYTHON=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
#%{_includedir}/*.h
%dir %{_datadir}/xcb
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen/*
%{_libdir}/pkgconfig/*.pc
%doc COPYING NEWS TODO

%changelog
* Fri Nov 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-2mamba
- rebuilt with python3

* Fri Apr 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-1mamba
- update to 1.14

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic version update by autodist

* Mon May 30 2016 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Thu Dec 26 2013 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Sat Nov 09 2013 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Fri Aug 10 2012 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Sun Jan 15 2012 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Sat Jun 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-2mamba
- rebuilt to add pkgconfig provides

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic update by autodist

* Tue Jun 09 2009 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1mamba
- automatic update by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- automatic update by autodist

* Sun May 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2mamba
- fixed group name

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1qilnx
- package created by autospec
